From 3035347431486a5eabfd9f289d1b8ac796fb14ce Mon Sep 17 00:00:00 2001
From: Henry-Nicolas Tourneur <debian@nilux.be>
Date: Sun, 24 May 2020 20:38:12 +0000
Subject: [PATCH 3/5] no longer statically build against libsignal-protocol-c

---
 .gitmodules      |  3 ---
 src/axc.c        | 12 ++++++------
 src/axc.h        |  2 +-
 src/axc_crypto.c |  2 +-
 src/axc_crypto.h |  2 +-
 src/axc_store.c  |  4 ++--
 src/axc_store.h  |  4 ++--
 7 files changed, 13 insertions(+), 16 deletions(-)

diff --git a/.gitmodules b/.gitmodules
index 006008c..e69de29 100644
--- a/.gitmodules
+++ b/.gitmodules
@@ -1,3 +0,0 @@
-[submodule "lib/libsignal-protocol-c"]
-	path = lib/libsignal-protocol-c
-	url = https://github.com/WhisperSystems/libsignal-protocol-c.git
diff --git a/src/axc.c b/src/axc.c
index cfc65ae..75314c6 100644
--- a/src/axc.c
+++ b/src/axc.c
@@ -17,12 +17,12 @@
 
 #include <glib.h>
 
-#include "signal_protocol.h"
-#include "key_helper.h"
-#include "protocol.h"
-#include "session_builder.h"
-#include "session_cipher.h"
-#include "session_state.h"
+#include <signal_protocol.h>
+#include <key_helper.h>
+#include <protocol.h>
+#include <session_builder.h>
+#include <session_cipher.h>
+#include <session_state.h>
 
 #include "axc.h"
 #include "axc_store.h"
diff --git a/src/axc.h b/src/axc.h
index dad2b75..3cfa8d4 100644
--- a/src/axc.h
+++ b/src/axc.h
@@ -9,7 +9,7 @@
 
 #include <stdint.h>
 
-#include "signal_protocol.h"
+#include <signal_protocol.h>
 
 typedef struct axc_context axc_context;
 typedef struct axc_bundle axc_bundle;
diff --git a/src/axc_crypto.c b/src/axc_crypto.c
index 4e02923..35d1cb6 100644
--- a/src/axc_crypto.c
+++ b/src/axc_crypto.c
@@ -11,7 +11,7 @@
 
 #include <gcrypt.h>
 
-#include "signal_protocol.h"
+#include <signal_protocol.h>
 
 #include "axc.h"
 
diff --git a/src/axc_crypto.h b/src/axc_crypto.h
index 22a9de8..68a5079 100644
--- a/src/axc_crypto.h
+++ b/src/axc_crypto.h
@@ -9,7 +9,7 @@
 
 #include <stdint.h>
 
-#include "signal_protocol.h"
+#include <signal_protocol.h>
 
 void axc_crypto_init(void);
 void axc_crypto_teardown(void);
diff --git a/src/axc_store.c b/src/axc_store.c
index 1cdf84d..e3a44e9 100644
--- a/src/axc_store.c
+++ b/src/axc_store.c
@@ -10,8 +10,8 @@
 #include <stdlib.h> // exit
 #include <string.h> // strlen
 
-#include "signal_protocol.h"
-#include "key_helper.h"
+#include <signal_protocol.h>
+#include <key_helper.h>
 
 #include <sqlite3.h>
 
diff --git a/src/axc_store.h b/src/axc_store.h
index 927e812..0e11cb5 100644
--- a/src/axc_store.h
+++ b/src/axc_store.h
@@ -7,8 +7,8 @@
 
 #pragma once
 
-#include "signal_protocol.h"
-#include "key_helper.h"
+#include <signal_protocol.h>
+#include <key_helper.h>
 
 #include "axc.h"
 
-- 
2.28.0

